@charset "UTF-8"; /*especifica que virão caracteres em padrão UTF-8*/

body {
	font-family: "Arial", "Lucida Sans Unicode", Verdana, sans-serif; /*muda as fontes do site*/
	line-height: 1.6;/* da um espaçamento de 160 entre as linhas de texto do site*/
	background: #e2e1e0;/*muda o fundo do site para um cinza quase branco*/
}

.container { /*cria um container que irá isolar todo conteúdo do site*/
	width: auto; /*diz que essa classe sempre terá uma largura automática*/
	margin: 0 auto; /*define uma margem automatica, com isso o conteudo ira ficar centralizado*/
}

/*------------------------------------CABECALHO DA PAGINA--------------------------------------*/

.cabecalho {/*isola o fundo do cabeçalho do site*/
	width: 100%;/*diz que a largura será de 100% em relação a tag pai que no caso é a div container*/
	height: auto;/*diz que a altura desta div sempre será automática*/
	background-color: #2f3644;/*torna o fundo do cabeçalho da cor cinza azulada*/
	margin-bottom: 50px;/*diz que a margim inferior desta div será de 50px*/
}

.cabecalho header {/* acessa a tag header que esta dentro da div cabeçalho*/
	color: #FFF;/*torna a cor do texto branca*/
	text-align: center;/*alinha o texto da tag header no centro*/
	padding-top: 15px;/* diz que o padding superior da tag será de 15 pixels*/
	padding-bottom: 10px;/* diz que o padding inferior da tag será de 10 pixels*/
	font-weight: bold;/*diz que o estilo da fonte será negrito*/
	font-size: 32px;/*muda o tamanho da fonte para 32*/
}

/*-------------------------------------------------------------------------------------------------*/
/*--------------------------------CONTAINER DE TODAS AS NOTICIAS-----------------------------------*/

.noticias {/*isola todas as noticias dentro de um sub - container*/
	width: 1200px;/*restringe a largura do espaço onde as noticias ficarção a um espaço de 1200 pixels de largura*/
	margin: 0 auto;/*torna o margem das noticias automatica, isso centralizara essa divisão do site*/
}

/*------------------------------NOTICIAS EM DESTAQUE-------------------------------------------------*/

.noticias-em-destaque {/*cria uma seção especifíca para as notícias em destaque*/
	width: 100%;/*diz que esta seção terá 100% de largura em relação a tag pai que é noticias, no caso 1200px*/
	height: 540px;/*estabelece uma altura de 540px para esta seção*/
	display: block;/*diz que o display desta seção será do tipo block*/ 
}

/*-----------------------------NOTICIA EM DESTAQUE PRINCIPAL----------------------------------------*/

.noticia-destaque-principal {/*isola a noticia de destaque principal*/
	float: left; /*aqui usamos float para alinhar as as noticias de destaque secundarias em relacao a esta secao*/
	height: 100%;/*dizemos que esta secao terá 100% da altura da tag pai que no caso eh noticias-em-destaque, entao serão 540px*/
	width: 600px;/*dizemos que esta secao terá 600px de largura*/
	border-color: #CCC; /*mudamos as cores da bordar para um tom de cinza*/
	background-color: #FFF;/*mudamos o fundo para branco*/
	border-radius: 3px;/*usamos isso para aplicar o efeito de arredondamento nas extremidades desta seção*/
	box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24); /*usamos isso para criar o efeito de sombreamento nesta seção desta forma criando o efeito de cartão*/
  	transition: all 0.3s cubic-bezier(.25,.8,.25,1);/*usamos isso para criar uma transição suave entre o estado normal desta seção e seu efeito de HOVER para quando passamos o mouse por cima*/
}

.noticia-destaque-principal:hover {/*aqui dizemos o que acontece quando passamos o mouse em cima da seção de noticia em destaque principal*/
	box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);/*aqui aumentamos o sombreamento desta seção para passar a sensação de seleção*/
}

.tema-destaque-principal {/*aqui estilizamos aquele pequeno texto na extremidade superior esquerda com o tema de cada noticia*/
	padding: 8px 0px 0px 10px;/*padding superior 8 pxels direito 0pixels inferior 0 pixels esquerdo 10px*/
	margin: 0;/* aqui dizemos que esta tag tera 0 de margens*/
	color: #4a4c51;/* aqui mudamos a cor de seu texto para um cinza escuro*/
	font-weight: normal;/*aqui retiramos qualquer tipo de efeito negrito desta seção*/
}

.tema-destaque-principal::after {/*aqui estamos utilizando de um pseudo elemento para criar aquele pequeno traço verde em baixo do tema da noticia*/
    content: ""; /*uma pequena gambiarra para podemos preencher este pseudo elemento*/
    margin: 10px 0 20px;/*margens superior 10pixels direita 0pixels inferior 20pixels*/ 
    display: block;/*mudamos o tipo de display para block*/
    width: 40px;/*dizemos que aquele traço terá 40pixels de largura*/
    height: 3px;/*dizemos que o traço terá 3pixels de altura*/
    background-color: #3b703e;/*mudamos a cor do traço para verde*/
}

.titulo-destaque-principal {/*aqui formatamos o texto da noticia de destaque principal*/
	padding: 8px 0px 0px 10px; /*padding superior 8pixels direito 0pixels inferior 0pixels esquerdo 10pixels*/
	margin: 0; /*aplicamos 0 de margem a este titulo*/
	position: relative; /*mudamos sua posição para relativa para que assim possamos mecher no seu posicionamento livremente*/
	bottom: -200px;/* graças a posição relativa aqui descemos em 200pixels o texto*/
	width: auto;/*dizemos que sua largura será automática*/
	color: #539e58;/* mudamos a cor do texto para um verde clarinho*/
}

.titulo-destaque-principal:hover {/*aqui estilizamos o texto em seu efeito HOVER para quando passamos o mouse em cima dele*/
	color: #3b703e;/*mudamos a cor do texto para um verde mais escuro*/
}

/*-----------------------------------NOTICIAS EM DESTAQUE SECUNDARIAS--------------------------------------*/

.noticias-destaque-secundaria {/*aqui formatamos as noticias em destaque secundarias*/
	float: right;/*dizemos que sua flutuação será a direita para que assim alinhem-se automáticamente ao lado direito interno da tag pai*/ 
	margin-bottom: 20px;/*margem inferior de 20pixels*/
	width: 580px;/*definimos a largura de 580pixels*/
}

.noticias-destaque-secundaria figure {/*aqui formatamos o visual das imagens das noticias em destaque secundárias*/
	position: relative;/*utilizamos o relative aqui para que possamos mecher esta secao caso seja necessario*/
	margin: 0;/*dizemos que ela terá 0 de margem*/
	transition: all .2s ease-in-out; /*utilizamos o trasition para suavizar a transição entre o estado padrão e a animação para quando passarmos o mouse m cima */
}

.noticias-destaque-secundaria figure:hover {/*aqui definimos a animação HOVER para quando passamos o mouse em cima de uma das noticias em destaque sevundarias*/
	transform: scale(1.03);/* aqui aumentamos a escala padrão da imagem de 100% padrão para 103% o que da a impressão de aumento da imagem quando passamos o mouse me cima*/
}

.noticias-destaque-secundaria img {/*aqui definimos o estilo da imagem que aparece dentro das noticias em destaque secundarias*/
	display: block;/*mudamos o display para block*/
	width: 580px;/*dizemos que elas terão 580pixels de largura*/
	height: 260px;/*e altura de 260pixels*/
	border-radius: 3px;/*aqui mudamos as extremidades de casa imagem para aplicar o efeito de cantos arredondados*/
}

.noticias-destaque-secundaria figcaption {/*aqui estiulizamos a legenda das noticias em destaque secundarias*/
	bottom: 5px;/*subimos em 5pixels a legenda*/
	margin: 0 5px;/*margem superior de 0 direita de 5pixels*/
	padding: 5px;/*padding em todas as direções de 5pixels*/
	position: absolute;/*utilizamos a posição absoluta*/
	width: 300px;/*as legendas tem 300pixels de largura*/
	height: 100%;/*e uma altura de 100& em relação a tag pai para que fiquem alinhadas centralmente*/
	color: #FFF;/*mudamos a cor do texto da legenda para branco*/
}

.noticias-destaque-secundaria figcaption h3 {/*aqui fazemos algo parecido com o que fizemos com tema da notica em destaque 
											principal so para o tema das noticias em destaque secundarias*/
	position: static;/*dizemos que sua posição será estática*/
	top: -80px;/*subimos em 80pixels o tema*/
	left: 0;/*zeramos se valor a esquerda, mas não me lembro bem porque coloquei isso*/
	color: #4a4c51;/*mudamos a cor do texto do tema para cinza escuro*/
	font-weight: normal;/*retiramos qualquer tipo de efeito negrito do tema*/
}

.noticias-destaque-secundaria figcaption h3::after {/*aqui criamos aquele pequeno risco verde novamente em baixo do tema so que agora para as noticias em destaque secundarias*/
	content: ""; /*gambiarra para poder preencher os valores*/
    margin: 10px 0 20px; /*margem superior 10pixels direita 0pixels inferior 20pixels*/
    display: block;/*mudamos o seu display para block*/
    width: 40px;/*aumentamos a largura para 40*/
    height: 3px;/*e a altura para 3pixels*/
    background-color: #3b703e; /* e a cor do traço para verde*/
}

/*----------------------------------NOTICIAS EM LISTA---------------------------------------------------*/

article {/* aqui isolamos a parte das noticias em lista */
	float: left;/*alteramos sua flutação a esquerda para que elas ficassem lado a lado com a lista de mais lidas*/
	width: 660px;/*dizemos que a seção de lista terá 600pixels de largura*/
}

article a {/* mudamos a decoração de todos os hiperlinks que estiverem dentro da seção de listas de notícias*/
	text-decoration: none;/*aqui retiramos o sublinhado de qualquer hiperlink*/
	color: #000;/*mudamos a cor dos hiperlink para preto*/
}

section {/*aqui formatamos o visual da lista de noticias*/ 
	margin-bottom: 20px;/*cada item da lista terá 20pixels de margem inferior*/
	padding: 10px;/*padding em todas as direções de 10 pixels*/
	background: #FFF;/* fundo branco */
	border-radius: 3px; /* mudamos as extremidades para que fiquem arrendondas assim como em outras partes do site*/
	box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24); /*adicionamos sombreamento a cada item da lista para criar o efeito de cartões*/
  	transition: all 0.3s cubic-bezier(.25,.8,.25,1);/*adicionamos a transição para o efeito de HOVER desta seção*/
}

section:hover {/* aqui criamos a animação para quando passamos o mouse em cima de um dos itens da lista*/
	box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);/*aumentamos o sombreamento dos itens da lista para passar a sensação de seleção*/
}

section h3 {/* aqui formatamos o visual do texto de gênero de cada umas das noticias da lista*/
	margin: 10px auto; /* margem em todas as direções de 10pixels e automática*/
	color: #424242;/* cor do texto para cinza escuro quase preto*/
	font-weight: normal;/*retiramos qualquer tipo de efeito de negrito*/
}

section h2 {/* aqui formatamos o titulo das noticias da lista*/
	margin: 0;/* dizemos que os titulos terão 0 de margem*/
	color: #539e58;/* a cor do titulo é verde*/
}

section h2:hover {/* aqui criamos a animação para quando passamos o mouse em cima de cada titulo da notícia*/
	color: #3b703e;/* a cor do texto muda para um verde mais escuro*/
}

section p {/*aqui formatamos as legendas das noticias da lista*/
	color: #5e5e5e; /*mudamos a cor do texto para um cinza intermediário um pouco azulado*/
}

section img {/*aqui formatamos as imagens das noticias em lista*/
	float: left;/* usamos o float para fazer com que as imagens fiquem a esqueda e os textos a direita*/
	margin: 10px 10px 0 0;/* margens superior de 10pixels direita 10pixels inferior 0pixels e esquerda 0pixels*/
	padding: 2px;/*padding em todas as direções de 2 pixels*/
	width: 156px;/*largura de 156 pixels*/
	height: 156px;/*altura de 156 pixels*/
}

/*-------------------------------MAIS LIDAS-----------------------------------------*/

aside {/*formatação do rodape*/
	float: right;/*mudamos a flutuação para a direita para que ficasse alinhado com as noticias em lista*/
	width: 450px;/*definimos uma largura de 450pixels*/
}

aside h3 {/*formatação do titulo de mais lidas*/
	background-color: #539e58;/* muda o fundo do titulo para verde*/
	margin-bottom: 0;/*zera a margem inferior*/
	margin-top: 0;/*zera a margem superior*/
	padding-left: 10px;/*aplica um padding esquerdo de 10 pixels*/
	height: 50px;/*diz que a altura será de 50pixels*/
	line-height: 50px;/*diz que a altura da linha será de 50pixels (isso eh uma gambiarra para o titulo aparecer direitinho)*/
	color: white; /* mudar a cor do texto para branco*/
	border-radius: 5px 5px 0 0; /*as extremidades superior esquerda e direita ficam arrendondadas enquanto as extremidades inferiores continuam quandradas*/
}

aside ol {/*formatação da lista de mais lidas*/
	border-color: #CCC;/*aplica uma borda cinza*/
	border: 1px solid #CCC;/*diz que a borda é de 1pixels do tipo solida e da cor cinza de novo*/
	margin: 0 auto;/*centraliza a lista em relação a tag pai*/
	padding: 0;/*padding em todas as direções zerado*/
  	list-style-type: none;/*tira todas as decorações da lista*/
  	background: #FFF;/*muda o fundo para branco*/
  	border-radius: 0 0 5px 5px;/*agora as extremidades superiores da lista ficam quadradas enquanto as infeires é que ganham o efeito de erredondamento*/
}

aside li {/*formatação das linhas da lista*/
	height: auto;/*autra automatica*/
	line-height: 70px;/*altura de cada linha de 70pixels;*/
	transition: all 0.3s cubic-bezier(.25,.8,.25,1);/*trasição para o efeito de HOVER*/
}

aside li:hover {/*animação para quando passar o mouse em cima de uma linha da lista*/
	box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);/*aumentamos o sombreamento*/
}

aside a {/*modificamos os links do lista de mais lidas*/
	text-decoration: none;/*retiramos as decorações padrões de um link, neste caso o sublinhado*/
	display: flex;/*mudamos o display para flex, desta forma toda a area da linha pode ser clicada para acessar  a uma materia*/
}

aside .numerozao {/* formatação dos números de ordem das mais lidas*/
	width: 50px;/*aumentamos a largura da div para 50pixels*/
	height: auto;/*definimos sua altura como automatica*/
	float: left;/*colocamos o float a esquerda para que ficasse lado a lado dos titulos das noticias mais lidas*/
	color: #4a4c51;/*mudas a cor dos numeros para um cinza clarinho*/
	font-size: 30px;/*mudamos o tamanho do texto para 30pixels*/
	text-align: center;/*alinhamos este texto centralmente*/ 
}

aside span {/*formatãção dos titulos das noticias*/
	color: #539e58;/*cor do texto para cinza escuro quase preto*/
	width: 100%;/*100% de largura em relação a tag pai para que ela toda se tonasse clicavel*/
	border-color: #CCC;/* borda cinza*/
	border-bottom: 1px solid #CCC;/*borda inferior cinza solida e tamanho de 1pixel*/
}

/*------------------------------------RODAPE-----------------------------------*/

footer {/*formatação do rodapé*/
	background: #242a34;/*mudamos o fundo do radapé para um cinza meio azulado*/
	height: 250px;/*definimos a sua altura para 250pixels*/
	color: white;/*mudamos a cor do texto para branco*/
	border-radius: 3px; /*mudamos as extremidades para ficarem arrendondadas*/
}

.about {/*formatação da seção sobre o site*/
	width: 400px;/*largura de 400pixels*/
	float: left;/*flutuação a esquerda para alinha em relação a tag pai*/
	margin-left: 25px;/*margem esquerda de 25 pixels*/
}

.about h4 {/*modifica o titulo da seção sobre*/
	color: #24a09a;/*cor do texto para verde tea*/
	font-weight: normal;/*retiramos o efeito nergrito da tag h4*/
}

.contact-us {/*formatação da seção contate-te-nós*/
	width: 400px;/*400 pixels de largura*/
	float: left;/*flutuação a esquerda para alinha em relação a tag pai*/
	margin-left: 10px;/*margem esquerda de 10 pixels*/
}

.contact-us::after {/*cria uma linha cinza apos o contate-nos*/
	content: "";/*gambiarra*/
    margin: 0 0 0 10px;/* margens*/
    display: flex;/*display para flex*/
    position: relative;/*posicao relativa agora podemos manipular livremente*/
    left: 300px;/*300pixels para direita*/
    top: -80px;/*80 pixels para cima*/
    width: 1px; /*largura de 1 pixel*/
    height: 199px; /*altura de 199pixels*/
    background-color: #2f3644; /*cor do fundo para um cinza um pouco mais claro*/
}

.contact-us h4 {/*mudamos a formatação do titulo do contate-nos*/
	color: #24a09a;/* mudamos a cor do texto para verde tea*/
	font-weight: normal;/*retiramos o negrito do h4*/
}

.social-media ul {/*formatação da lista não ordenada de redes sociais*/
	list-style: none;/*retiramos as decorações da list*/
	text-align: center;/*alinhamos o texto centramente*/
}

.social-media li {/*formatação da linha*/
	float: left;/*flutuação a esquerda*/
	margin: 25px 5px 0 0;/*margens*/
}

.clear {/*recurso muito utilizado em desenvolvimento web para evitar gaps no site ao utilizar o float para quebra de linha*/
	clear: both;
}

